Skip to main content
GET
/
2024-09-26
/
tokens
Get all supported tokens
curl --request GET \
  --url https://staging.crossmint.com/api/2024-09-26/tokens \
  --header 'X-API-KEY: <x-api-key>'
{
  "data": [
    {
      "token": "<string>",
      "available": true,
      "features": {
        "creditCardPayment": true
      }
    }
  ],
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}

Headers

X-API-KEY
string
required

API key required for authentication

Query Parameters

chains
string

Comma-separated list of chains the result should only include

cursor
string

The cursor from the previous results set to get the next paginated result set

limit
string

Maximum number of tokens to return (maximum 100, default 30)

tokenClasses
string

Comma-separated list of token classes the result should only include. Default is memecoin,onramp

Response

List of supported tokens retrieved successfully.

data
The requested token and its availability · object[]
required
nextCursor
string
previousCursor
string